com.sleepycat.db

## Class ReplicationSiteUnavailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sleepycat.db.DatabaseException
      - - com.sleepycat.db.ReplicationSiteUnavailableException

All Implemented Interfaces:
  java.io.Serializable

    public class ReplicationSiteUnavailableException
    extends DatabaseException

Thrown if replication group was unable to elect a master, or was unable to complete the election in the specified timeout period.

See Also:
  Serialized Form

### Method Summary

### Methods inherited from class com.sleepycat.db.DatabaseException

`getEnvironment, getErrno, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`